
QGIS Application - Feature request #440

Don't display the qgis window on a second monitor that isn't present

2006-12-11 08:23 AM - fosnight-usgs-gov -

Status: Closed

Priority: Low

Assignee: Tom Elwertowski

Category: GUI

Pull Request or Patch supplied: Resolution: invalid

Easy fix?: No Copied to github as #: 10499

Description

I use a Powerbook G4 running Mac OS 10.4.8 with a 2nd monitor at work, but frequently use the Powerbook at home and on travel

without the second monitor. If QGIS is used with an extended Desktop with the QGIS window open in the 2nd monitor, when I next use

QGIS without the second monitor QGIS does not seem to realize that the 2nd monitor is no longer available. I was not able to get QGIS to

open a window on the Powerbook monitor.

History

#1 - 2006-12-14 09:20 PM - Gary Sherman

- Resolution set to wontfix

- Status changed from Open to Closed

QGIS stores the window geometry (position and size) on exit and restores it the next time you run it. It has no way of knowing about your monitor

configuration and blindly (no pun intended) restores the last used position. I've seen this happen with other applications that go from a dual monitor setup to

a single monitor.

The only work around at this point is to edit your QGIS preferences and delete the geometry so it will start up in a default position. You can find the

preferences in ~/Library/Preferences/org.qgis.qgis.plist. Edit Geometry.x and Geometry.y to a sane value for the Powerbook (eg. 50,50).

#2 - 2006-12-15 12:52 AM - anonymous -

- Status changed from Closed to Feedback

- Resolution deleted (wontfix)

Qt provides the class QDesktopWidget, which provides access to screen information on multi-head systems. This would allow qgis to deal better with

moving from a multi-head display to a single-head display. I'd call this an enhancement for a future version.

#3 - 2006-12-19 09:30 PM - Tom Elwertowski

- Status changed from Feedback to Open

Qt 4.2 provides new QWidget methods saveGeometry and restoreGeometry which will adjust geometry if the saved location is not visible. The only

drawback to using these methods is that a binary object rather than user editable coordinates are stored in the preferences file.

#4 - 2007-11-30 08:43 PM - Tom Elwertowski

- Status changed from Open to Closed

- Resolution set to fixed
Fixed by commit:cbaff6a5 (SVN r7697).

#5 - 2008-05-09 05:45 AM - LarsSt -

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

problem still exists for toolbars. If the toolbar is placed on a second screen it is 'lost' if this monitor is disconnected. To switch the toolbar off and on again

does not fix this problem. (MacOS 10.5.2 / QGIS 0.10)

#6 - 2008-05-14 09:48 PM - Tom Elwertowski

The lost toolbar is a Qt bug. I have submitted a report to Trolltech.

If you have Apple's Developer Tools installed, you can recover the toolbar by using the Property List Editor to delete the UI.state property in

~/Library/Preferences/org.qgis.qgis.plist

You can also delete the plist file but you will loose all qgis settings.

#7 - 2008-05-16 11:03 AM - Tom Elwertowski

The Trolltech Task Tracker entry for this bug is

211712.

#8 - 2008-07-14 03:28 AM - Tim Sutton

Reviewed the bug on trolltech tracker...the issue still seems to be pending.

#9 - 2009-04-20 06:09 AM - Paolo Cavallini

It seems a problem outside QGIS reach: now thet it has been forwarded upstream, better closing it here?

#10 - 2009-12-08 04:08 AM - Giovanni Manghi

The ticket on the qt bug tracker has been closed: expired (Scheduled for? Some future release).

Better closing this?

#11 - 2010-06-11 11:40 PM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Feedback to Closed
http://trolltech.com/developer/task-tracker/index_html?method=entry&#38;id=211712

